/*
 * Nomad Instrument Control Software
 *
 * Copyright 2011 Institut Laue-Langevin
 *
 * Licensed under the EUPL, Version 1.1 only (the "License");
 * You may not use this work except in compliance with the Licence.
 * You may obtain a copy of the Licence at:
 *
 * http://joinup.ec.europa.eu/software/page/eupl
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the Licence is distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Licence for the specific language governing permissions and
 * limitations under the Licence.
 */

#include "StopRunSpectrums.h"
#include "controllers/common/family/Families.h"

namespace dielectrics {

using namespace std;
using namespace common;

const std::string StopRunSpectrums::TYPE = "dielectrics_run_spectrums_stop";

StopRunSpectrums::StopRunSpectrums(const std::string& name) :
	ExperimentController(name), controller::Start(this) {

	setFamily(family::ACQUISITION);

	matlabController.init(this, "matlab");
}

StopRunSpectrums::~StopRunSpectrums() {
}

void StopRunSpectrums::postConfiguration() {

}

void StopRunSpectrums::start() {

	matlabController->stopRun();

	log(Level::s_Info) << "Stopped run" << endlog;
}

}
